# Data Object - ClusterDasConfigInfo(vim.cluster.DasConfigInfo)

Property of
  ClusterConfigInfo, ClusterConfigInfoEx, ClusterConfigSpec, ClusterConfigSpecEx
Extends
  DynamicData
See also
  ClusterDasAdmissionControlPolicy, ClusterDasVmSettings, Datastore, OptionValue
Since
  2.0

## Data Object Description

The ClusterDasConfigInfo data object contains configuration data about the HA service on a cluster.

All fields are optional. If you set the `modify` parameter to `true` when you call ReconfigureComputeResource_Task, an unset property has no effect on the existing property value in the cluster configuration on the Server. If you set the `modify` parameter to `false` when you reconfigure a cluster, the cluster configuration is reverted to the default values, then the new configuration values are applied.

Properties

Name | Type | Description
--- | --- | ---
admissionControlEnabled* | xsd:boolean | Flag that determines whether strict admission control is enabled. When you use admission control, the following operations are prevented, if doing so would violate the admissionControlPolicy. Powering on a virtual machine in the cluster. Migrating a virtual machine into the cluster. Increasing the CPU or memory reservation of powered-on virtual machines in the cluster. With admission control disabled, there is no assurance that all virtual machines in the HA cluster can be restarted after a host failure. VMware recommends that you do not disable admission control, but you might need to do so temporarily, for the following reasons: If you need to violate the failover constraints when there are not enough resources to support them (for example, if you are placing hosts in standby mode to test them for use with DPM). If an automated process needs to take actions that might temporarily violate the failover constraints (for example, as part of an upgrade directed by VMware Update Manager). If you need to perform testing or maintenance operations.
admissionControlPolicy* | ClusterDasAdmissionControlPolicy | Virtual machine admission control policy for vSphere HA. The policies specify resource availability for failover support. Failover host admission policy ClusterFailoverHostAdmissionControlPolicy - specify one or more dedicated failover hosts. Failover level policy ClusterFailoverLevelAdmissionControlPolicy - the limit of host failures for which resources are reserved. When you use the failover level policy, HA partitions resources into slots. A slot represents the minimum CPU and memory resources that are required to support any powered on virtual machine in the cluster. To retrieve information about partitioned resources, use the RetrieveDasAdvancedRuntimeInfo method. Resources admission policy ClusterFailoverResourcesAdmissionControlPolicy - CPU and memory resources reserved for failover support. When you use the resources policy, you can reserve a percentage of the aggregate cluster resource for failover. Since vSphere API 4.0
defaultVmSettings* | ClusterDasVmSettings | Cluster-wide defaults for virtual machine HA settings. When a virtual machine has no HA configuration (ClusterDasVmConfigSpec), it uses the values specified here. Since VI API 2.5
enabled* | xsd:boolean | Flag to indicate whether or not vSphere HA feature is enabled.
failoverLevel* | xsd:int | Deprecated. As of vSphere API 4.0, use ClusterFailoverLevelAdmissionControlPolicy to set admissionControlPolicy. Configured failover level. This is the number of physical host failures that can be tolerated without impacting the ability to satisfy the minimums for all running virtual machines. Acceptable values range from one to four.
hBDatastoreCandidatePolicy* | xsd:string | The policy on what datastores will be used by vCenter Server to choose heartbeat datastores. See ClusterDasConfigInfoHBDatastoreCandidate for all options. The default value is DasConfigInfo.HBDatastoreCandidate#allFeasibleDsWithUserPreference. Since vSphere API 5.0
heartbeatDatastore* | ManagedObjectReference[] to a Datastore[] | The list of preferred datastores to use for storage heartbeating. Each of the specified datastores should be active and mounted by more than one host. There is no limit on the number of specified datastores and no priority among them. The specified datastores will replace those previously specified and an empty list will delete all such earlier specified ones. vCenter Server chooses the heartbeat datastores for a host from the set specified by hBDatastoreCandidatePolicy. The choice is made based on datastore connectivity and storage array redundancy (in case of VMFS). The final set of selected heartbeat datastores is reported via heartbeatDatastoreInfo. Since vSphere API 5.0
hostMonitoring* | xsd:string | Determines whether HA restarts virtual machines after a host fails. The default value is ClusterDasConfigInfoServiceState.enabled. This property is meaningful only when ClusterDasConfigInfo.enabled is `true`. When `hostMonitoring` is enabled, HA restarts virtual machines after a host fails. When `hostMonitoring` is DasConfigInfo.ServiceState#disabled, HA does not restart virtual machines after a host fails. The status of Host Monitoring does not affect other services such as virtual machine Health Monitoring or Fault Tolerance. The rest of the cluster operations follow normal processing. No configuration information is lost and re-enabling the service is a quick operation. Since vSphere API 4.0
option* | OptionValue[] | Advanced settings.
vmComponentProtecting* | xsd:string | This property indicates if vSphere HA VM Component Protection service is enabled. The default value is DasConfigInfo.ServiceState#disabled. When `vmComponentProtecting` is set to DasConfigInfo.ServiceState#disabled, reaction to all types of VM component failures is disabled. When `vmComponentProtecting` is set to enabled, VM Component Protection service will detect and react to component failures. The actual reaction is determined by ClusterVmComponentProtectionSettings which is referenced by both cluster level configuration (defaultVmSettings) and per-VM override dasVmConfig. Since vSphere API 6.0
vmMonitoring* | xsd:string | Level of HA Virtual Machine Health Monitoring Service. You can monitor both guest and application heartbeats, guest heartbeats only, or you can disable the service. See ClusterDasConfigInfoVmMonitoringState. The default value is DasConfigInfo.VmMonitoringState#vmMonitoringDisabled. The Service level specified for the cluster determines the possible monitoring settings that you can use for individual virtual machines. See ClusterVmToolsMonitoringSettings.vmMonitoring. Since vSphere API 4.0
Properties inherited from DynamicData
None

*Need not be set
Show WSDL type definition
<complexType xmlns="http://www.w3.org/2001/XMLSchema" xmlns:vsan="urn:vsan" name="ClusterDasConfigInfo"> <complexContent> <extension base="vsan:DynamicData"> <sequence> <element name="enabled" type="xsd:boolean" minOccurs="0"/> <element name="vmMonitoring" type="xsd:string" minOccurs="0"/> <element name="hostMonitoring" type="xsd:string" minOccurs="0"/> <element name="vmComponentProtecting" type="xsd:string" minOccurs="0"/> <element name="failoverLevel" type="xsd:int" minOccurs="0"/> <element name="admissionControlPolicy" type="vsan:ClusterDasAdmissionControlPolicy" minOccurs="0"/> <element name="admissionControlEnabled" type="xsd:boolean" minOccurs="0"/> <element name="defaultVmSettings" type="vsan:ClusterDasVmSettings" minOccurs="0"/> <element name="option" type="vsan:OptionValue" minOccurs="0" maxOccurs="unbounded"/> <element name="heartbeatDatastore" type="vsan:ManagedObjectReference" minOccurs="0" maxOccurs="unbounded"/> <element name="hBDatastoreCandidatePolicy" type="xsd:string" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType>